foodcritic_8.1.0-1_all.deb


Advertisement

Description

foodcritic - lint tool for chef cookbooks

Property Value
Distribution Debian 9 (Stretch)
Repository Debian Main i386
Package filename foodcritic_8.1.0-1_all.deb
Package name foodcritic
Package version 8.1.0
Package release 1
Package architecture all
Package type deb
Category ruby
Homepage http://www.foodcritic.io/
License -
Maintainer Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Download size 68.37 KB
Installed size 6.89 MB
Foodcritic has two goals:
To make it easier to flag problems in your Chef cookbooks that will cause Chef
to blow up when you attempt to converge. This is about faster feedback. If you
automate checks for common problems you can save a lot of time.
To encourage discussion within the Chef community on the more subjective stuff
- what does a good cookbook look like? Opscode have avoided being overly
prescriptive. Having a set of rules to base discussion on helps drive out what
the community think is good style.

Alternatives

Package Version Architecture Repository
foodcritic_8.1.0-1_all.deb 8.1.0 all Debian Main
foodcritic - - -

Requires

Name Value
ruby -
ruby-cucumber-core >= 1.3
ruby-erubis -
ruby-hashery -
ruby-interpreter -
ruby-nokogiri >= 1.5.4
ruby-treetop >= 1.4.10
ruby-yajl >= 1.1.0

Download

Type URL
Mirror ftp.br.debian.org
Binary Package foodcritic_8.1.0-1_all.deb
Source Package foodcritic

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install foodcritic deb package:
    # sudo apt-get install foodcritic

Files

Path
/usr/bin/foodcritic
/usr/lib/ruby/vendor_ruby/foodcritic.rb
/usr/lib/ruby/vendor_ruby/foodcritic/api.rb
/usr/lib/ruby/vendor_ruby/foodcritic/ast.rb
/usr/lib/ruby/vendor_ruby/foodcritic/chef.rb
/usr/lib/ruby/vendor_ruby/foodcritic/command_line.rb
/usr/lib/ruby/vendor_ruby/foodcritic/domain.rb
/usr/lib/ruby/vendor_ruby/foodcritic/dsl.rb
/usr/lib/ruby/vendor_ruby/foodcritic/error_checker.rb
/usr/lib/ruby/vendor_ruby/foodcritic/linter.rb
/usr/lib/ruby/vendor_ruby/foodcritic/notifications.rb
/usr/lib/ruby/vendor_ruby/foodcritic/output.rb
/usr/lib/ruby/vendor_ruby/foodcritic/rake_task.rb
/usr/lib/ruby/vendor_ruby/foodcritic/rules.rb
/usr/lib/ruby/vendor_ruby/foodcritic/template.rb
/usr/lib/ruby/vendor_ruby/foodcritic/version.rb
/usr/lib/ruby/vendor_ruby/foodcritic/xml.rb
/usr/share/doc/foodcritic/changelog.Debian.gz
/usr/share/doc/foodcritic/changelog.gz
/usr/share/doc/foodcritic/copyright
/usr/share/foodcritic/chef_dsl_metadata/chef_12.0.0.json
/usr/share/foodcritic/chef_dsl_metadata/chef_12.0.1.json
/usr/share/foodcritic/chef_dsl_metadata/chef_12.0.3.json
/usr/share/foodcritic/chef_dsl_metadata/chef_12.1.0.json
/usr/share/foodcritic/chef_dsl_metadata/chef_12.1.1.json
/usr/share/foodcritic/chef_dsl_metadata/chef_12.1.2.json
/usr/share/foodcritic/chef_dsl_metadata/chef_12.10.24.json
/usr/share/foodcritic/chef_dsl_metadata/chef_12.11.18.json
/usr/share/foodcritic/chef_dsl_metadata/chef_12.12.13.json
/usr/share/foodcritic/chef_dsl_metadata/chef_12.13.37.json
/usr/share/foodcritic/chef_dsl_metadata/chef_12.14.89.json
/usr/share/foodcritic/chef_dsl_metadata/chef_12.15.19.json
/usr/share/foodcritic/chef_dsl_metadata/chef_12.2.1.json
/usr/share/foodcritic/chef_dsl_metadata/chef_12.3.0.json
/usr/share/foodcritic/chef_dsl_metadata/chef_12.4.0.json
/usr/share/foodcritic/chef_dsl_metadata/chef_12.4.1.json
/usr/share/foodcritic/chef_dsl_metadata/chef_12.5.1.json
/usr/share/foodcritic/chef_dsl_metadata/chef_12.6.0.json
/usr/share/foodcritic/chef_dsl_metadata/chef_12.7.2.json
/usr/share/foodcritic/chef_dsl_metadata/chef_12.8.1.json
/usr/share/foodcritic/chef_dsl_metadata/chef_12.9.38.json
/usr/share/foodcritic/misc/lucene.treetop
/usr/share/man/man1/foodcritic.1.gz
/usr/share/rubygems-integration/all/specifications/foodcritic-8.1.0.gemspec

Changelog

2016-11-10 - Stefano Rivera <stefanor@debian.org>
foodcritic (8.1.0-1) unstable; urgency=medium
* New upstream release. 
* Use SOURCE_DATE_EPOCH in the generated manpage.
2016-08-20 - Stefano Rivera <stefanor@debian.org>
foodcritic (7.1.0-1) unstable; urgency=medium
* New upstream release.
* Refresh patches.
2016-07-25 - Stefano Rivera <stefanor@debian.org>
foodcritic (7.0.1-2) unstable; urgency=medium
* Use ruby-hashery instead of rufus-lru. It is compatible, and in the
archive already.
2016-07-25 - Stefano Rivera <stefanor@debian.org>
foodcritic (7.0.1-1) unstable; urgency=medium
* New upstream release.
* No need to repack, any more.
* Refresh patches.
* Drop dont-load-minitest-autorun-in-cucumber-tests.patch and no-rubygems,
superseded upstream.
* B-D on ruby-cucumber-core instead of ruby-gherkin, following upstream.
* Bump Standards-Version to 3.9.8, no changes needed.
2016-03-27 - Stefano Rivera <stefanor@debian.org>
foodcritic (6.0.1+ds-1) unstable; urgency=medium
* New upstream point release.
* Repack upstream source, to avoid coverage output (including minified js).
* Refresh patches.
* Bump Standards-Version to 3.9.7, no changes needed.
2016-02-02 - Stefano Rivera <stefanor@debian.org>
foodcritic (6.0.0-1) unstable; urgency=medium
* New upstream release.
* Refresh patches.
* Bump copyright years.
* Use https://anonscm.../git/... for both Vcs URLs.
2016-01-03 - Stefano Rivera <stefanor@debian.org>
foodcritic (5.0.0-1) unstable; urgency=medium
* New upstream release.
* Update copyright file.
* Refresh patches.
* Drop no-coverage and FC010-broken patches, superseded upstream.
* Point Vcs-Browser at https cgit.
* Bump debhelper compat level to 9.
* Use https in the watch file.
* Use an absolute require in the spec file, so the autopkgtest can run
against the system install.
* Avoid depending on the lib directory in tests, for autopkgtests.
* Install treetop grammar file.
* Update homepage to foodcritic.io (Closes: #809653)
2015-08-25 - Antonio Terceiro <terceiro@debian.org>
foodcritic (4.0.0-2) unstable; urgency=medium
* Team upload.
* dont-load-minitest-autorun-in-cucumber-tests.patch: avoid
loading minitest autorunnner from cucumber tests (Closes: #795617)
2014-10-24 - Stefano Rivera <stefanor@debian.org>
foodcritic (4.0.0-1) unstable; urgency=medium
* New upstream release.
* Refresh patches.
* Bump Standards-Version to 3.9.6, no changes needed.
* Bump copyright years.
* Patch no-rufus-lru: We haven't packaged ruby-rufus-lru, yet, so revert
back to a persistent cache for now.
2014-01-16 - Stefano Rivera <stefanor@debian.org>
foodcritic (3.0.3-1) unstable; urgency=low
* New upstream release.
* Refresh patches.
* Drop rak-free patch, superseded upstream.
* Drop gherkin-2.11.1 patch, and bump gherkin dependency to 2.11.7.
* Switch to stable tarballs from gemwatch.
* Update copyright years.
* FC010 is currently broken due to changes in Chef. Ignore the test failures.
* Ruby 1.8 is no longer supported in Debian, so declare XS-Ruby-Versions:
all.
* Bump Standards-Version to 3.9.5, no changes needed.
* The manpage is now included upstream.

See Also

Package Description
fookb-plainx_3.0-3.1_i386.deb Xkb state indicator -- plain X version
fookb-wmaker_3.0-3.1_i386.deb Xkb state indicator -- WindowMaker version
fookebox_0.7.2-1_all.deb web-based jukebox frontend to mpd
foomatic-db-compressed-ppds_20161201-1_all.deb OpenPrinting printer support - Compressed PPDs derived from the database
foomatic-db-engine_4.0.12-2+b1_i386.deb OpenPrinting printer support - programs
foomatic-db-gutenprint_5.2.11-1_all.deb OpenPrinting printer support - database for Gutenprint printer drivers
foomatic-db_20161201-1_all.deb OpenPrinting printer support - database
foomatic-filters-beh_4.0.17-9_all.deb Openprinting Backend error handler
foomatic-filters_4.0.17-9_i386.deb OpenPrinting printer support - filters
fop-doc_2.1-6_all.deb XML formatter driven by XSL Formatting Objects (doc) - doc
fop_2.1-6_all.deb XML formatter driven by XSL Formatting Objects (XSL-FO.) - app
foremancli_1.0-2_all.deb commandline search interface to Foreman
foremost_1.5.7-6_i386.deb forensic program to recover lost files
forensic-artifacts_20161022-1_all.deb knowledge base of forensic artifacts (data files)
forensics-all_1.5_all.deb Debian Forensics Environment - essential components (metapackage)
Advertisement
Advertisement